# Class: YARD::CodeObjects::ClassVariableObject

Inherits:
  Base
  - Object
  - Base
  - YARD::CodeObjects::ClassVariableObject
  show all

Defined in:
  lib/yard/code_objects/class_variable_object.rb

## Overview

Represents a class variable inside a namespace. The path is expressed in the form “A::B::@@classvariable”

## Instance Attribute Summary collapse

- #value ⇒ String

  The class variable’s value.

## Constructor Details

This class inherits a constructor from YARD::CodeObjects::Base

## Dynamic Method Handling

This class handles dynamic methods through the `method_missing` method in the class YARD::CodeObjects::Base

## Instance Attribute Details

### #value ⇒ `String`

Returns the class variable’s value.

Returns:

- (`String`) —

  the class variable’s value

    9
    10
    11

    # File 'lib/yard/code_objects/class_variable_object.rb', line 9

    def value
      @value
    end